#include <stdio.h>
int main()
{
    int a[8][8];
    int max;
    int min;
    int r,l;
    int i,j;
    scanf("%d,%d",&r,&l);
    for (i=0;i<r;i++)
    {
        for (j=0;j<l;j++)
        {
            scanf("%d",&a[i][j]);
            if (max<a[i][j])
            {
                max=a[i][j];
            }
        }
    }
    for (j=0;j<l;j++)
    {
        for (i=0;i<r;i++)
        {
            scanf("%d",&a[i][j]);
            if (min>a[i][j])
            {
                min=a[i][j];
            }
        }
    }
    if (max==min)
    {
        printf("%d+%d\n",i,j);
    }
    return 0;
}

